/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-11-08 14:10:53.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.service.bean.coursestatistic;

import java.io.Serializable;
import java.util.List;

/**
 * 待刷新统计的课程(请求表单)
 *
 * @author: fengdesheng
 * @since: 2018/11/08
 */
public class CourseStatisticRefreshReq implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 学校机构ID
     */
    private Long orgId;
    /**
     * 考试ID
     */
    private Long examId;
    /**
     * 格式：
     * [{"courseId":1,"paperType":"A"},{"courseId":2,"paperType":"B"}]
     */
    private List<Course> courses;

    public Long getOrgId() {
        return orgId;
    }

    public void setOrgId(Long orgId) {
        this.orgId = orgId;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public List<Course> getCourses() {
        return courses;
    }

    public void setCourses(List<Course> courses) {
        this.courses = courses;
    }

    public static class Course {
        /**
         * 课程ID
         */
        private Long courseId;
        /**
         * 试卷类型
         */
        private String paperType;

        public Course(Long courseId, String paperType) {
            this.courseId = courseId;
            this.paperType = paperType;
        }

        public Course() {

        }

        public Long getCourseId() {
            return courseId;
        }

        public void setCourseId(Long courseId) {
            this.courseId = courseId;
        }

        public String getPaperType() {
            return paperType;
        }

        public void setPaperType(String paperType) {
            this.paperType = paperType;
        }
    }

}